Get list of linked projects
GET
/linkedprojectsGet list of linked projects
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, LinkedprojectsApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new LinkedprojectsApi(config);
const result = await api.getLinkedProjects({ "company": 123});console.log(result);curl --request GET \ "https://api.testcollab.io/linkedprojects?token=$TESTCOLLAB_TOKEN&company=123"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
company |
query | integer | Yes | Company ID |
_limit |
query | integer | No | Limit the size of the returned results |
_start |
query | integer | No | Skip a specific number of entries (for pagination) |
_sort |
query | string | No | Sort according to a specific field. |
_filter |
query | string | No | Stringified filter object (the filtering guide) |
Response
Section titled “Response”200 — List of payment profiles
| Field | Type | Required | Description |
|---|---|---|---|
[].im_project_key |
string | Yes | Type of entity |
[].project |
Project | Yes | — |
[].project.id |
number | Yes | — |
[].project.name |
string | Yes | — |
[].project.description |
string | No | — |
[].project.archived |
boolean | Yes | — |
[].project.team |
Array of Project User Minified | No | — |
[].project.activity |
string | No | — |
[].project.created_at |
string | Yes | — |
[].project.updated_at |
string | Yes | — |
[].project.is_sample |
boolean | No | Indicates that the project is a sample project or not |
[].company |
Company | Yes | — |
[].company.id |
number | Yes | — |
[].company.name |
string | Yes | — |
[].company.plan |
string | Yes | Values: free, premium. |
[].company.size |
number | No | — |
[].company.planStatus |
string | Yes | Values: active, expired, trial. |
[].company.owner |
User | No | — |
[].company.owner.id |
number | Yes | — |
[].company.owner.name |
string | Yes | — |
[].company.owner.about_me |
string | No | — |
[].company.owner.email |
string | Yes | If email is modified then a confirmation should be sent |
[].company.owner.avatar |
Upload | No | — |
[].company.owner.username |
string | No | — |
[].company.owner.last_active |
string | No | — |
[].company.owner.confirmed |
boolean | No | — |
[].company.owner.rank |
string | No | Values: User, Administrator. |
[].company.owner.projects |
Project User Minified Collection | No | — |
[].company.owner.created_at |
string | No | — |
[].company.owner.is_guest |
number | No | — |
[].company.trial_opted |
boolean | No | — |
[].company.trial_started_on |
string | No | — |
[].company.created_at |
string | No | — |
[].settings |
Linked Project Settings | No | — |
[].settings.issue_types |
Array of number | Yes | Id of issue type |
[].im_project_id |
number | Yes | Entity ID |
[].created_by |
User | Yes | — |
[].created_by.id |
number | Yes | — |
[].created_by.name |
string | Yes | — |
[].created_by.about_me |
string | No | — |
[].created_by.email |
string | Yes | If email is modified then a confirmation should be sent |
[].created_by.avatar |
Upload | No | — |
[].created_by.avatar.id |
number | Yes | — |
[].created_by.avatar.name |
string | Yes | — |
[].created_by.avatar.hash |
string | Yes | — |
[].created_by.avatar.ext |
string | Yes | — |
[].created_by.avatar.mime |
string | Yes | — |
[].created_by.avatar.size |
string | Yes | — |
[].created_by.avatar.url |
string | Yes | — |
[].created_by.avatar.created_by |
number | No | — |
[].created_by.avatar.created_at |
string | Yes | — |
[].created_by.avatar.updated_at |
string | Yes | — |
[].created_by.username |
string | No | — |
[].created_by.last_active |
string | No | — |
[].created_by.confirmed |
boolean | No | — |
[].created_by.rank |
string | No | Values: User, Administrator. |
[].created_by.projects |
Project User Minified Collection | No | — |
[].created_by.projects[].id |
number | Yes | — |
[].created_by.projects[].user |
number | Yes | — |
[].created_by.projects[].project |
number | Yes | — |
[].created_by.projects[].role |
number | Yes | — |
[].created_by.projects[].created_at |
string | Yes | — |
[].created_by.projects[].updated_at |
string | Yes | — |
[].created_by.created_at |
string | No | — |
[].created_by.is_guest |
number | No | — |
[].created_at |
string | No | Time when the activity was performed |
[]Errors
Section titled “Errors”| Status | Meaning |
|---|---|
403 |
Forbidden |